import { Options } from './parseAsType';
declare type NumberType = 'PositiveInteger' | 'NegativeInteger' | 'PositiveFloat' | 'NegativeFloat' | 'PositiveInfinite' | 'NegativeInfinite' | 'NaN';
declare type ParseNumber = (variableValue: unknown, numberType?: NumberType) => Options<number>;
/**
 *
 * @param variableValue value of a variable to be validated and parse
 * @param expectedNumberType number type to be validated as, refer to NumberType
 * @returns Options<number>. Option functions to be called that either would return a specified value or throw error in case variable is not of number type or specified NumberType
 */
declare const parseAsNumber: ParseNumber;
export default parseAsNumber;
//# sourceMappingURL=parseAsNumber.d.ts.map