import { createOptions } from './parseAsType.js';const findNumberType = (number) => {if (Number.isNaN(number)) {return 'NaN';}const sign = Math.sign(number);if (sign > -1) {if (Number.isFinite(number)) {if (Number.isInteger(number)) {return 'PositiveInteger';}return 'PositiveFloat';}return 'PositiveInfinite';}else if (sign === -1) {if (Number.isFinite(number)) {if (Number.isInteger(number)) {return 'NegativeInteger';}return 'NegativeFloat';}return 'NegativeInfinite';}return typeof number;};
/**
 *
 * @param variableValue value of a variable to be validated and parse
 * @param expectedNumberType number type to be validated as, refer to NumberType
 * @returns Options<number>. Option functions to be called that either would return a specified value or throw error in case variable is not of number type or specified NumberType
 */
const parseAsNumber = (variableValue, expectedNumberType) => {const expectedType = expectedNumberType ? expectedNumberType : 'number';const receivedType = expectedNumberType? findNumberType(variableValue): typeof variableValue;return createOptions(variableValue, expectedType, receivedType);};
//# sourceMappingURL=parseAsNumber.js.map
export default parseAsNumber;